PacketTransactionTask (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.PacketTransactionTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class PacketTransactionTask

    java.lang.Object
      org.codehaus.activemq.service.impl.PacketTransactionTask

All Implemented Interfaces:
  Externalizable, Serializable, TransactionTask

Direct Known Subclasses:
  MessageAckTransactionTask, RedeliverMessageTransactionTask, SendMessageTransactionTask

public abstract class PacketTransactionTask
extends Object
implements TransactionTask, Externalizable

Version:
  $Revision: 1.2 $
See Also:
  Serialized Form

Constructor Summary
`protected` | `PacketTransactionTask(BrokerClient brokerClient, Packet packet)`

Method Summary
`protected BrokerClient` | `createBrokerClient(String consumerId)`
`static TransactionTask` | `createTask(Packet packet)`
`static TransactionTask` | `fromBytes(byte[] data)`
`protected BrokerClient` | `getBrokerClient(String consumerId)`
`Packet` | `getPacket()`
`void` | `readExternal(ObjectInput in)`
`protected static Packet` | `readPacket(ObjectInput in)`
`static TransactionTask` | `readTask(ObjectInput in)`
`byte[]` | `toBytes()`
`void` | `writeExternal(ObjectOutput out)`
`protected static void` | `writePacket(Packet packet, ObjectOutput out)`
`static void` | `writeTask(TransactionTask task, ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.activemq.service.TransactionTask
`execute`

Constructor Detail

### PacketTransactionTask

    protected PacketTransactionTask(BrokerClient brokerClient,
                                    Packet packet)

Method Detail

### fromBytes

    public static TransactionTask fromBytes(byte[] data)
                                     throws IOException

  Throws:
    `IOException`

### toBytes

    public byte[] toBytes()
                   throws JMSException,
                          IOException

  Throws:
    `JMSException`
    `IOException`

### readTask

    public static TransactionTask readTask(ObjectInput in)
                                    throws IOException

  Throws:
    `IOException`

### createTask

    public static TransactionTask createTask(Packet packet)
                                      throws IOException

  Throws:
    `IOException`

### writeTask

    public static void writeTask(TransactionTask task,
                                 ObjectOutput out)
                          throws IOException

  Throws:
    `IOException`

### getPacket

    public Packet getPacket()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### createBrokerClient

    protected BrokerClient createBrokerClient(String consumerId)
                                       throws JMSException

  Throws:
    `JMSException`

### getBrokerClient

    protected BrokerClient getBrokerClient(String consumerId)
                                    throws JMSException

  Throws:
    `JMSException`

### writePacket

    protected static void writePacket(Packet packet,
                                      ObjectOutput out)
                               throws IOException

  Throws:
    `IOException`

### readPacket

    protected static Packet readPacket(ObjectInput in)
                                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.